::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21011
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=11-beta1
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

if /i "%wadname:~-5%" EQU "-vWii" goto:vWii

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=c923f03924a221e351ab8144bb22dcc8
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=416b8ace56bba3414972389eebc7107e
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=3ed5c84c30cff03a54296da4fff017b3
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=fe778040f8b3d8e60a5899dbc216b02a
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=256a2f93b3b5e4d0f28aa16386fd6d13
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=64aa732b55a24ed5d7c30209ef4bb98f
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=bbf2c129b05ecb29a075248d2df9b747
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=bc3088589b47c3116182f9f46179ef30
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=4c9e823a1d58404648ba7eb522e4b10e
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=71119fe575fc98cc84578d8755ac9b64
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=71c15b497f7e9d5eb78cd00163990dad
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=761d402cb0c95496dfcf4bbd5a55fd8f
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=f239a48c45a2ebcfe74631474b40a1a8
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=b497a83cc81d0ef318fa4e44566d4321
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=63ea74ec12b4ae9d569fd9e64f02c057
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5=9d9d1544dd01487add4bc3e407d3be43
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5=2df0cf456b3b45443fb7ae184d2a6473
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5=6d223e80f3331d5e7af3570896e6a0df
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5=b7c682d4d328e921d968830814491aa7
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5=1364b02a4afa297f53ebb8caac37c3ca
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5=758de3fd73deb9e947cea9ffb16c56f2
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=7104c7a2add25bbd8851a313eb7fe01a
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=14a61ba9cbfc6c2f437691a37b53a185
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=d459f13227c5490be37b9c5f5e172b06
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=4e0e413056f4a89f98abe6c1ed0cbe63
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=ee31e4ad2917fca65ac085ad9fe1b840
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=b634a8ad6565f35f8b3bee1403f50a06
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=3020d50da06f4c4e30834d092e748a12
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=273b09ab3da0a33a053945935804b070
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=3b5ad8fce4f8ca12d2fb1eceb9a19309
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=1f597b3af6eb94e9a9df6873b76ba713
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=e997ebc0e5fd55e4db2c2a0b310c831d
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=16766dc83d1dd6c8b2769e360473f2af
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=f1f1ac9da5796037667362e6e2a966aa
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=ad03d02d0d256d8ca12b9b35f8307dd8
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=b6f514f3f0588e3652c6804773545774
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=3bcc43451b1004861da2b06ddea80261
if /i "%wadname:~0,17%" EQU "cIOS249[60]-d2x-v" set md5alt=1877c0aa2a36de28d20590a77c4f50d5
if /i "%wadname:~0,17%" EQU "cIOS250[60]-d2x-v" set md5alt=19bbd7ed98113fb139622e9d90fadc6a
if /i "%wadname:~0,17%" EQU "cIOS249[70]-d2x-v" set md5alt=668e117abc874ce76687dad48a68469d
if /i "%wadname:~0,17%" EQU "cIOS250[70]-d2x-v" set md5alt=1a53b6bc4f1452b7f6b7ac3775824a6b
if /i "%wadname:~0,17%" EQU "cIOS249[80]-d2x-v" set md5alt=91d7db61550f3a45b8a6f9d54f08ad8b
if /i "%wadname:~0,17%" EQU "cIOS250[80]-d2x-v" set md5alt=f79676a1def9d2b6c43fe3679a0c024c
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=15a7b916e2601f14787243451967c374
goto:aftervWii

:vWii
if /i "%name:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=977e45b816ac56fc2c05b9a52b1842f9
if /i "%name:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=e5075f99064ed2774bed66a65ea234e5
if /i "%name:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=186b944df8402a0d64f43952cc92bd6c
::two sets of md5s for legacy wad(mii) packer support
if /i "%name:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=f5e42afb78281328cb2f7ed13bd82ad8
if /i "%name:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=bed56ceac8dada1fbb64958cb2dee2e1
if /i "%name:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=f9f20fcdd69783d351e98e80e80a7ea1
:aftervWii

::MANUALLY UPDATE MD5 for cIOS251-38!!! It's only an option in ModMii v6.6.0-6.6.3, so if not updated it won't be an issue for most people, but updating it will ensure older versions don't get errors. To manually update, go to ModMii's advanced downloads menu AFTER updating everything else using d2x-beta-md5-updater.bat, then enter 24938, change the slot to 251 and make no other changes, then calculate hash and update line below. Or instead of using advanced downloads, faster to open the d2x cIOS249 base 38 WAD using ModMii, and change it's slot to 251.
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" (set md5=ff99258eaa43fbb9cd37c5ecff815658) & (set md5alt=%md5%)
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\MLOAD.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables

if /i "%wadname:~-5%" NEQ "-vWii" set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%wadname:~-5%" EQU "-vWii" set wadname=%wadname:~0,17%%d2x-beta-rev%-vWii

if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat
